package scm_sdk

type (
	msgResponse struct {
		Success bool   `json:"success"`
		ErrCode uint32 `json:"errCode"`
		Msg     string `json:"msg"`
	}

	GetCurrentConfigurationResponse struct {
		msgResponse
		Info *ConfigurationInfo `json:"info"`
	}

	ConfigurationInfo struct {
		Namespace string `json:"namespace"`
		Name      string `json:"name"`
		Tag       string `json:"tag"`
		Describe  string `json:"describe"`
		Content   string `json:"content"`
		IsCurrent bool   `json:"isCurrent"`
	}
)
